/**
Author:  Luis Gerardo de la Fraga
Space3d: program to visualize polygons over 3D space
Copyright (C) 2002 Luis Gerardo de la Fraga

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

Author's e-mail: fraga@cs.cinvestav.mx
Address: 
Seccin de Computacin. Dpto. de Ingeniera Elctrica
CINVESTAV-IPN                       
Av. Instituto Politcnico Nacional No. 2508
07300 Mxico, D.F. 
Mxico
**/

/**
	Main program,
	SVision display voxels program

	Fraga March 27, 2001
**/

#include <qapplication.h>
#include <stdio.h>
#include "painter.h"


int main( int argc, char **argv )
{
	if ( argc < 2 ) {
		fprintf( stderr, "Use: %s file_name\n", argv[0] );
		return( 1 );
	}

	QApplication a( argc, argv );

	Painter w( argv[1] ) ;

	w.setCaption( QString( argv[0] ) + " " + argv[1] );
	w.setGeometry( 100, 100, 500, 340 );		//355 );

	a.setMainWidget( &w );
	w.show();         // Show widget
	return a.exec();  // go!
}
